QGIS Application - Bug report #9559
Composer guide lines get printed on map
2014-02-13 05:39 PM - Tim Sutton

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18145
Description

Using master with a composer template which is loaded in python, the generated pdf includes the composer guides. Can we ensure that
they are always hidden before rendering the pdf?

An example is attached.

History

#1 - 2014-02-14 12:49 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you test using QgsComposition::renderPage() to export the pdf and confirm if this works correctly? renderPage sets a bunch of important things before
rendering the page, so skipping it and using render() directly on a painter will result in gui elements like the guides showing up in the output.

#2 - 2014-06-14 02:31 AM - Tim Sutton
- Status changed from Feedback to Closed

Closing this out - resolved using advice given above. Thanks!
